Skip to main content

Create a customer deletion request

POST /v2/compliance/customers/delete

Sends a request to Instacart to delete the data for a Storefront Pro customer in accordance with the California Consumer Privacy Act (CCPA) and other applicable laws. You can identify customers in the request body by specifying a customer's email address, phone number, or other unique identifier.

If the request is received, the response contains the success field set to true. After Instacart receives the request, a user privacy workflow is initiated and the customer and any associated user data is deleted.

For more information about data privacy with Storefront Pro, see Data Privacy.

Security​

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Request​

FieldTypeRequiredDescription
identifierstringRequired

The customer identifier (email or provider_uid).

identifier_typestringOptional

Type of identifier: 'email' (default) or 'provider_uid'.

Request Examples​

curl --request POST \
--url https://connect.instacart.com/v2/compliance/customers/delete \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"identifier": "string",
"identifier_type": "email"
}'

Response​

FieldTypeRequiredDescription
successbooleanOptional

success flag.

Response Examples​

200 Success

{
"success": true
}